#ifndef INPUTD_GUARD_UUID_0E03E971_77EB_4261_A07C_88906360A7EB
#define INPUTD_GUARD_UUID_0E03E971_77EB_4261_A07C_88906360A7EB 1

#include "common.h"

#ifndef BITS_PER_LONG
#define BITS_PER_LONG (sizeof(unsigned long) * 8)
#endif

#define BITOP_MASK(nr) (1UL << ((nr) % BITS_PER_LONG))
#define BITOP_WORD(nr) ((nr) / BITS_PER_LONG)

static inline int test_bit(int nr, const unsigned long *addr) {
    return 1UL & (addr[BITOP_WORD(nr)] >> (nr & (BITS_PER_LONG-1)));
}

static inline void set_bit(int nr, unsigned long *addr) {
    unsigned long mask = BITOP_MASK(nr);
    unsigned long *p = ((unsigned long *)addr) + BITOP_WORD(nr);

    *p  |= mask;
}

#endif

/* vim: set sw=4 sts=4 et foldmethod=marker : */
