%option yylineno
%option noyywrap
%option pointer
%option nounput
%option nodefault

%{
#include <glib.h>
#include <string.h>

#include "common.h"

#include "cfg-grammar.h"
%}

%%

\#.*$       ;
[ \t\n]+    ;

[0-9]+ {
    yylval.number = atoi(yytext);
    return NUMBER;
}

\"[^"]*\" {
    /* Escaping is not supported */
    yylval.cptr = g_strndup(yytext + 1, yyleng - 2);
    return STRING;
}

[A-Za-z][_A-Za-z0-9]* {
    yylval.cptr = yytext;
    return ID;
}

.   { return yytext[0]; }

%%

/* vim: set sw=4 sts=4 et foldmethod=marker : */
