#ifndef INPUTD_GUARD_UUID_F7749877_E093_4CC0_B743_E8BF6C56C63F
#define INPUTD_GUARD_UUID_F7749877_E093_4CC0_B743_E8BF6C56C63F 1

#include <glib.h>

#include "common.h"
#include "devmanager.h"

extern gboolean uinput_create(InputDevice *inputdev);
extern void uinput_destroy(InputDevice *inputdev);

extern gboolean uinput_write_event(InputDevice *inputdev, guint16 type,
    guint16 code, gint32 value);

static inline gboolean uinput_write_event2(InputDevice *inputdev,
    struct input_event *ev)
{
    return uinput_write_event(inputdev, ev->type, ev->code, ev->value);
}

static inline gboolean uinput_write_sync(InputDevice *inputdev)
{
    return uinput_write_event(inputdev, EV_SYN, SYN_REPORT, 0);
}

extern gboolean uinput_init(void);
extern void uinput_exit(void);

#endif

/* vim: set sw=4 sts=4 et foldmethod=marker : */
